Bug 1731893 - instead of disk name with ampersand another disk name is displayed
Summary: instead of disk name with ampersand another disk name is displayed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 10:07 UTC by Matej
Modified: 2020-11-24 15:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 15:15:47 UTC
Type: Bug


Attachments (Terms of Use)
label changes when mouse hovers (185.30 KB, video/webm)
2019-07-22 10:07 UTC, Matej
no flags Details

Description Matej 2019-07-22 10:07:22 UTC
Created attachment 1592555 [details]
label changes when mouse hovers

Description of problem:

Wrong disk name is displayed in the left pane and in the model part of the disk.

Most probable cause is that the disk name includes ampersand (I can't test the same SD card in different device just now).

Version-Release number of selected component (if applicable):

3.32.1


How reproducible:

always


Steps to Reproduce:
1. connect H1 Zoom audio recorder with an SD card over USB
2. open gnome-disks

Actual results:

The mounted SD card in H1 Zoom has wrong name displayed. Instead of "ZOOM H1 SD R&W (000)" another disk name is displayed. The name changes when mouse hovers over the label (see video).

on the console:

(gnome-disks:17148): Gtk-WARNING **: 11:58:05.033: Failed to set text 'ZOOM H1 SD R&W (000)' from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity — escape ampersand as &

(gnome-disks:17148): Gtk-WARNING **: 11:58:05.034: Failed to set text from markup due to error parsing markup: Error on line 2: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity — escape ampersand as &


Expected results:

"ZOOM H1 SD R&W (000)" and correct size displayed


Additional info:

Comment 1 Ben Cotton 2019-08-13 18:58:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Ben Cotton 2020-11-03 15:21:18 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-11-24 15:15:47 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.